Skip to main content
POST
/
returns
/
{id}
/
fraud-report
Create Fraud Report
curl --request POST \
  --url https://api.loopreturns.com/api/v1/returns/{id}/fraud-report \
  --header 'Content-Type: application/json' \
  --header 'X-Authorization: <api-key>' \
  --data '
{
  "comment": "This is a sample comment."
}
'
import requests

url = "https://api.loopreturns.com/api/v1/returns/{id}/fraud-report"

payload = { "comment": "This is a sample comment." }
headers = {
"X-Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-Authorization': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({comment: 'This is a sample comment.'})
};

fetch('https://api.loopreturns.com/api/v1/returns/{id}/fraud-report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created_at": "2024-10-25T16:44:47.038Z",
  "return_id": 23141,
  "id": 87,
  "comment": "This is a sample comment."
}
{
"errors": "Unauthorized."
}
{
"errors": {
"message": "No return found with this ID."
}
}
{
"errors": {
"message": "Fraud report already exists."
}
}
{
"message": "Must be one of the following values: package-never-received, package-is-empty, package-is-missing-items, instant-return-charge-failed, keep-item-abuse, splitting-returns-to-avoid-restrictions, item-is-worn, other",
"errors": {}
}

Authorizations

X-Authorization
string
header
required

Path Parameters

id
integer
required

The return's unique identifier.

Body

application/json
category
enum<string> | null

The category under which the fraudulent return falls.

Available options:
package-never-received,
package-is-empty,
package-is-missing-items,
instant-return-charge-failed,
keep-item-abuse,
splitting-returns-to-avoid-restrictions,
item-is-worn,
other,
null
comment
string | null

Any additional context associated with the fraudulent return.

Maximum string length: 512
Example:

"This is a sample comment."

Response

Success

category
enum<string>
required

The category under which the fraudulent return falls.

Available options:
package-never-received,
package-is-empty,
package-is-missing-items,
instant-return-charge-failed,
keep-item-abuse,
splitting-returns-to-avoid-restrictions,
item-is-worn,
other
created_at
string<date-time>
required

The date and time at which the fraud report was created.

Example:

"2024-10-25T16:44:47.038Z"

return_id
integer
required

The return's unique identifier.

Example:

23141

id
integer
required

The fraud report's unique identifier.

Example:

87

comment
string | null

Any additional context associated with the fraudulent return. This property is required if the category is set to other.

Example:

"This is a sample comment."